Bug 228156 - clisp: $RPM_OPT_FLAGS not used
Summary: clisp: $RPM_OPT_FLAGS not used
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: clisp (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-10 20:12 UTC by Ville Skyttä
Modified: 2007-12-05 17:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-05 17:07:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS (566 bytes, patch)
2007-02-10 20:12 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-02-10 20:12:16 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

clisp is built without $RPM_OPT_FLAGS, resulting in no compiler security
features and a useless debuginfo package.  Fix attached.

Comment 1 Ville Skyttä 2007-02-10 20:12:17 UTC
Created attachment 147842 [details]
Use $RPM_OPT_FLAGS

Comment 2 Gérard Milmeister 2007-02-22 16:50:33 UTC
The clisp people generally warn against changing the compiler flags, so I would
prefer not touching them. It might seem to work at first, but problems could
appear...

Comment 3 Ville Skyttä 2007-02-22 17:28:23 UTC
Well, the same can be put the other way around - packages built without the
usual optflags lack stack protection, source fortification etc compiler security
features which Fedora users expect to have applied in packages they use.

Anyway, if not using $RPM_OPT_FLAGS is the right thing to do for a package, it
should be prominently documented in the specfile, including the rationale.  And
preferably only the options identified as problematic filtered out instead of
ignoring all of them.

Comment 4 Ville Skyttä 2007-07-28 20:10:59 UTC
Ping?

Comment 5 Ville Skyttä 2007-10-12 22:58:39 UTC
Ping #2?

Comment 6 Gérard Milmeister 2007-12-05 17:07:56 UTC
Rebuilt with opt flags.


Note You need to log in before you can comment on or make changes to this bug.